<?php
namespace App\Controller\Component;

use Cake\Controller\Component;
use Cake\Network\Http\Client;
use Cake\Utility\Hash;

class ComptoirServerComponent extends Component
{
    public function get( $url, $varname, $path )
    {
        try {
            $http = new Client();
            $response = $http->get( $url, [], ['type' => 'json']);

            $result = $response->body('json_decode');
            // TODO: vérifier que statusCode soit 200
            $this->_registry->getController()->set( $varname, Hash::get((array)$result, $path));
        } catch (Exception $exception) {
            $this->log(var_export($exception, true), "debug");
        }
    }
}