<?php

namespace App\Form;

use Cake\Form\Form;
use Cake\Form\Schema;
use Cake\Network\Http\Client;
use Cake\Core\Configure;

/**
 * Form to push an evaluation.
 */
class EvaluationForm extends Form
{
    
    public function __construct(){ 
    }
    
    /**
     * Form build
     * @param Schema $schema composition of the form
     * @return Schema the form
     */
    protected function _buildSchema(Schema $schema)
    {
        //For comment the rate
        $schema->addField('title', 'string');
        $schema->addField('comment', 'text');
        
        //For rate
        $schema->addField('s1','radio');
        $schema->addField('s2','radio');
        $schema->addField('s3','radio');
        $schema->addField('s4','radio');
        $schema->addField('s5','radio');
        
        //To idetify the rate
        $schema->addField('idSoftware', 'hidden');
        $schema->addField('idEntity', 'hidden');
        
        return $schema; 
    }

    
    /**
     * Execute when the form have posted datas
     * @param array $data Data return by the form
     * @return boolean
     */
    protected function _execute(array $data)
    {
        
    
        return true;
    }
    
    
}