<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
?>
<?php if (!empty( $creatorOfSoftwares ) ): ?>
<section>
    <div class="align">
        <h2>
        <?= __d("ElementEntity","Creator of")?>
        </h2>
        <span>
        <?php if ( sizeof( $creatorOfSoftwares ) > Cake\Core\Configure::read("MAX_DISPLAY") ) : ?>
            <?= $this->Html->link(  __d("ElementEntity","See all"),
                            ['controller' => 'Entity', 'action' => 'getRelationshipsSoftwares','?' => ['id' => $user->id,'filter' =>"CreatorOf" ]],
                            ['title' =>  __d("ElementEntity","All projects created by {0}",$user->username)],
                            ['escape' => false] ) ?>
            <?php endif;?>
        </span>
    </div>
    <ul class=" list-unstyled ">
        <?php for ($nbSoft = 0; $nbSoft < Cake\Core\Configure::read("MAX_DISPLAY"); $nbSoft ++): ?>
            <?php if (isset($creatorOfSoftwares[$nbSoft] ) )  : ?>
        <li>
            <?php echo $this->cell('SoftwareSummary',[$creatorOfSoftwares[$nbSoft]->software_id])->render('../../Element/ProjectPage/softwareSummary')?>
        </li>
            <?php endif; ?>
        <?php endfor; ?>
    </ul>
</section>
<?php else : ?>
<section>
    <h2>
        <?= __d("ElementEntity","Creator of")?>
    </h2>
    <p>
        <?php echo __d("ElementEntity","{0} did not create a software, yet.",$user->username)?>
    </p>
</section>
<?php endif; ?>