<?php

/*
 * Contains the template for the minimal entity block
 */
?>

<?php if (isset($entity) )  : ?>

<div id="minimal-entity" class="col-xs-6 col-sm-4 col-md-3 col-lg-2 backgroundUnit">
    <h1>

             <?= $this->Html->link(  $entity['name'],
                                    ['controller' => 'Entity', 'action' => 'index','?' => ['id' => $entity->name]],
                                    ['escape' => false] ) ?>
    </h1>
            <?= $this->Html->link(  $this->Html->image($entity['logo'],["alt"=>$entity["name"]]),
                                $entity->url,
                                ['escape' => false] ) ?>

    <div>
        <p class="text-overflow">
            <?= $entity['description'] ?>
        </p>
    </div>
</div>
<?php endif;?>

<?php
/*
 * display Users on All users page // display on a software page
 */
?>
<?php if (isset($user) )  : ?>

<ul class="list-unstyled col-xs-6 col-sm-4 col-md-3 col-lg-2 size-box minimal-entity backgroundUnit">
    <li>
        <div class="size-title">
            <h3>
                <?= $this->Html->link(  $this->Text->truncate($user->username,35,['ellipsis' => '...','exact' => false]),
                                        ['controller' => 'Users', 'action' => 'view',$user->id],
                                        ['escape' => false, "title"=>$user->username, "class"=>""] ) ?>
            </h3>
        </div>
        <?php if ( empty ($user->logo_directory) && empty($project->photo) ) : ?>
            <?= $this->Html->link(  $this->Html->image( "logos/User_placeholder.jpg" ,
                                            ["alt"=>$user->username,"class"=>"img-responsive size-logo"]),
                                    ['controller' => 'Users', 'action' => 'view' ,$user->id],
                                    ['escape' => false] ) ?>
        <?php else : ?>
            <?= $this->Html->link(  $this->Html->image( COMPTOIR_SRV_URL.$user->logo_directory.DS.$user->photo ,
                                            ["alt"=>$user->username,"class"=>"img-responsive size-logo"]),
                                    ['controller' => 'Users', 'action' => 'view' ,$user->id],
                                    ['escape' => false] ) ?>
        <?php endif;?>
    </li>
</ul>

<?php endif;?>