<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
?>

<?php if (!empty( $backerOf ) ): ?>
<section class="">
    <div class="align">
        <h2>
        <?= __d("ElementProject","Backers for {0}",$project->softwarename)?>
        </h2>
        <span>
            <?php if ( sizeof ($backerOf) > Cake\Core\Configure::read("MAX_DISPLAY") ) : ?>
                <?= $this->Html->link(  __d("Layout","See all"),
                                ['controller' => 'Project', 'action' => 'backers','?' => ['id' => $project->id,'filter' => "BackerOf"]],
                                ['title' =>  __d("Layout","All backers of {0}",$project->softwarename)],
                                ['escape' => false] ) ?>
            <?php endif; ?>
        </span>
    </div>
    <ul class=" list-unstyled">
        <?php for ($nbBacker = 0; $nbBacker < Cake\Core\Configure::read("MAX_DISPLAY"); $nbBacker ++): ?>
            <?php if (isset($backerOf[$nbBacker] ) )  : ?>
        <li>
                    <?php echo $this->cell('UserSummary',[$backerOf[$nbBacker]->user_id])->render('../../Element/Entity/entitySummary')?>
        </li>
            <?php endif; ?>
        <?php endfor; ?>
    </ul>
</section>
<?php endif; ?>

<?php if (isset($project) && empty( $backerOf ) && !isset($projectUsersrelationship) ): ?>
<section class="">
    <h2>
        <?= __d("ElementProject","Backers for {0}",$project->softwarename)?>
    </h2>
    <p>
        <?php echo __d("ElementProject","No financial backer for {0}.",$project->softwarename);?>
    </p>
</section>
<?php endif; ?>

<?php if (!isset( $backerOf ) && isset($projectUsersrelationship) && empty($projectUsersrelationship->relationshipsSoftwaresUser)): ?>
<section class="">
    <h2>
        <?= __d("ElementProject","Backers for ")?> <?php echo $this->cell('SoftwareSummary',[$projectUsersRelationship->id])->render('../../Element/ProjectPage/softwareName')?>
    </h2>
    <p>
        <?php echo __d("ElementProject","No backers for ");?> <?php echo $this->cell('SoftwareSummary',[$projectUsersRelationship->id])->render('../../Element/ProjectPage/softwareName')?>
    </p>
</section>
<?php endif; ?>



<?php
/**
 * display all users of the current software.
 */
?>
<?php if (isset ($projectUsersRelationship) && !empty( $projectUsersRelationship->relationshipsSoftwaresUser ) ): ?>
<section class="">
    <h2>
        <?= __d("ElementProject","Backers for ")?> <?php echo $this->cell('SoftwareSummary',[$projectUsersRelationship->relationshipsSoftwaresUser[0]->software_id])->render('../../Element/ProjectPage/softwareName')?>
    </h2>
    <ul class=" list-unstyled ">
    <?php foreach ($projectUsersRelationship->relationshipsSoftwaresUser as $relationshipsSoftwaresUser) : ?>

        <li>
            <?php echo $this->cell('UserSummary',[$relationshipsSoftwaresUser->user_id])->render('../../Element/Entity/entitySummary')?>
        </li>

    <?php endforeach; ?>
    </ul>
</section>
<?php endif; ?>