<?php

/**
 * Contains the notes section structure
 * Array $notes contains all notes specified by the administrator of the project.
 * Notes section is present if sizeof($notes)>0.
 */

?>

<?php if (isset($notes) && sizeof(($notes) > 0) )  : ?>
<section> 
    
        <h2>
        <?= __d("ElementProject","Notes")?>    
        </h2>
    
    <ol>
        <?php foreach ($notes as $note): ?>
        <li>
            <?= $note ?>
        </li>
        <?php endforeach; ?>
    </ol>
</section>

<?php endif ; ?>

<?php if (!isset($notes) )  : ?>
<section> 
    
 
        <h2>
        <?= __d("ElementProject","Notes")?>    
        </h2>
    
    <ol>      
        <li>
            <?= __d("ElementProject","Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.")?> 
        </li>
    </ol>
</section>

<?php endif ; ?>