<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

?>
<?php if (!empty( $worksWellWith ) ): ?>
<section class="">
    <div class="align">
        <h2>
        <?= __d("ElementProject","Working well with {0}",$project->softwarename)?>
        </h2>
        <span>
        <?php if ( sizeof ($worksWellWith) > Cake\Core\Configure::read("MAX_DISPLAY") ) : ?>
            <?= $this->Html->link(  __d("Layout","See all"),
                            ['controller' => 'Project', 'action' => 'works','?' => ['id' => $project->id]],
                            ['title' =>  __d("Layout","All softwares working well with {0}",$project->softwarename)],
                            ['escape' => false] ) ?>
             <?php endif; ?>
        </span>
    </div>
    <ul class=" list-unstyled ">
        <?php for ($nbWWW = 0; $nbWWW < Cake\Core\Configure::read("MAX_DISPLAY"); $nbWWW ++): ?>
            <?php if (isset( $worksWellWith[$nbWWW] ) )  : ?>
        <li>
            <?php echo $this->cell('SoftwareSummary',[$worksWellWith[$nbWWW]->recipient_id])->render('../../Element/ProjectPage/softwareSummary')?>
        </li>
        <?php endif ;?>
    <?php endfor; ?>
    </ul>
</section>
<?php endif; ?>

<?php if (isset ($project)  && empty( $project->relationships ) ) : ?>
<section class="">
    <h2>
        <?= __d("ElementProject","Working well with {0}",$project->softwarename)?>
    </h2>
    <p>
    <?php echo __d("ElementProject","There are no project for {0}",$project->softwarename);?>
    </p>


</section>
<?php endif; ?>


<?php if (isset ($projectSoftwareRelationship) && !empty( $projectSoftwareRelationship->relationshipsSoftwares ) ): ?>
<section class="">
    <h2>
        <?= __d("ElementProject","Working well with ")?> <?php echo $this->cell('SoftwareSummary',[$projectSoftwareRelationship->relationshipsSoftwares[0]->software_id])->render('../../Element/ProjectPage/softwareName')?>
    </h2>
    <ul class=" list-unstyled ">
    <?php foreach ($projectSoftwareRelationship->relationshipsSoftwares as $relationshipsSoftware) : ?>

        <li class="col-xs-6 col-sm-4 col-md-3 col-lg-3">
            <?php echo $this->cell('SoftwareSummary',[$relationshipsSoftware->recipient_id])->render('../../Element/ProjectPage/softwareSummary')?>
        </li>

    <?php endforeach; ?>
    </ul>
</section>
<?php endif; ?>

<?php if (empty( $projectSoftwareRelationship->relationshipsSoftwares ) && !isset($project) ) : ?>
<section class="">
    <h2>
        <?= __d("ElementProject","Working well with ")?> <?php echo $this->cell('SoftwareSummary',[$projectSoftwareRelationship->id])->render('../../Element/ProjectPage/softwareName')?>
    </h2>
    <p>
    <?php echo __d("ElementProject","There are no project for ") ?><?php echo $this->cell('SoftwareSummary',[$projectSoftwareRelationship->id])->render('../../Element/ProjectPage/softwareName')?>
    </p>

</section>
<?php endif; ?>