<?php
$this->layout('base');
?>
<div class="container-fluid" id="page-wrapper">
    <div class="row">
        <div class="col-xs-offset-1 col-xs-10 col-sm-offset-1 col-sm-10 col-md-offset-1 col-md-10 col-lg-offset-1 col-lg-10 main">
            <div class="row">
                <div id="overview-entity">
                    <div class=" col-xs-12 col-sm-3 col-md-3 col-lg-3  hidden-xs">
                        <?= $this->Html->link($this->Html->image(COMPTOIR_SRV_URL.$user->logo_directory.DS.$user->photo,
                            ["alt"=>$user->username,"class"=>"img-responsive size-logo-overview"]),
                            "#",// url of the entity web site.
                            ['escape' => false ,"class"=>"img-responsive"] ) ?>
                    </div>

                    <div class="metric-score col-xs-11 col-sm-offset-1 col-sm-7 col-md-8 col-lg-8">
                        <ul class="list-unstyled">
                            <li>
                                <h1>
                                    <?= $user->username   ?>
                                </h1>
                            </li>
                        </ul>
                        <div>
                            <p class="text-overflow">
                                <?= $user->description   ?>
                            </p>
                        </div>
                    </div>
                </div>
            </div> <!-- END of OVERVIEW-->

            <div class="row">
                <?php echo $this->Lists->softwareBlock(
                    \Cake\Utility\Hash::extract($user->createdsoftwares, '{n}.software'),
                    [
                        "title"=>__d("ElementEntity","Creator of"),
                        "link" => [
                            "id" => $user->id,
                            "action"=>"createdSoftwares",
                            "participate" =>  __d("Layout","Declare a software that was created by {0}.",$user->username),
                        ],
                        "tooManyMsg"=>  __d("Layout","See all"),
                        "titleSeeAll" => __d("Layout", "All softwares created by {0}.", $user->username),
                        "emptyMsg" => __d("ElementEntity","{0} did not create a software, yet.",$user->username)
                    ]
                ); ?>
            </div>

            <div class="row">
                <?php echo $this->Lists->softwareBlock(
                    \Cake\Utility\Hash::extract($user->contributionssoftwares, '{n}.software'),
                    [
                        "title"=>__d("ElementEntity","Contributor for"),
                        "link" => [
                            "id" => $user->id,
                            "action"=>"contributionsSoftwares",
                            "participate" =>  __d("Layout","Declare a software that {0} has contributed to.",$user->username),
                        ],
                        "tooManyMsg"=>__d("Layout","See all"),
                        "titleSeeAll" => __d("Layout", "All softwares which {0} has contributed to.", $user->username),
                        "emptyMsg" => __d("ElementEntity","{0} do not contribute to any project, yet.",$user->username )
                    ]
                ); ?>
            </div>

            <div class="row">
                <?php echo $this->Lists->softwareBlock(
                    \Cake\Utility\Hash::extract($user->backedsoftwares, '{n}.software'),
                    [
                        "title"=>__d("ElementEntity","Backer for"),
                        "link" => [
                            "id" => $user->id,
                            "action"=>"Backedsoftwares",
                            "participate" =>  __d("Layout","Declare a software that {0} is a backer for.",$user->username),
                        ],
                        "tooManyMsg"=>__d("Layout","See all"),
                        "titleSeeAll" => __d("Layout", "All softwares backed by {0}.", $user->username),
                        "emptyMsg" => __d("ElementEntity","{0} do not backs a software, yet.",$user->username )
                    ]
                ); ?>
            </div>

            <div class="row">

                <?php
                echo $this->Lists->softwareBlock(
                    \Cake\Utility\Hash::extract($user->providerforsoftwares, '{n}.software'),
                    [
                        "title"=>__d("ElementEntity","Provider for"),
                        "link" => [
                            "id" => $user->id,
                            "action"=>"providerforSoftwares",
                            "participate" =>  __d("Layout","Declare a software that {0} is a service provider for.",$user->username),
                        ],
                        "tooManyMsg"=>__d("Layout","See all"),
                        "titleSeeAll" => __d("Layout", "All softwares which {0} is a service provider for.", $user->username),
                        "emptyMsg" => __d("ElementEntity","{0} do not povide a software, yet.",$user->username)
                    ]
                ); ?>
            </div>

            <div class="row">
                <?php echo $this->Lists->softwareBlock(
                    \Cake\Utility\Hash::extract($user->usedsoftwares, '{n}.software'),
                    [
                        "title"=>__d("ElementEntity","User of"),
                        "link" => [
                            "id" => $user->id,
                            "action"=>"UsedSoftwares",
                            "participate" =>  __d("Layout","Declare a software that is used by {0}.",$user->username),
                        ],
                        "tooManyMsg"=> __d("Layout","See all"),
                        "titleSeeAll" => __d("Layout", "All softwares used by {0}", $user->username),
                        "emptyMsg" =>  __d("ElementEntity","{0} do not used a software, yet.",$user->username)
                    ]
                ); ?>
            </div>
        </div>
    </div>
</div>