<?php

// Dans un controller

namespace App\Controller;

use App\Controller\AppController;
use Cake\Network\Http\Client;

/**
 * CakePHP UsersController
 * @author mpastor
 */
class SoftwaresController extends AppController
{
    public function initialize()
    {
        parent::initialize();
        $this->loadComponent('ComptoirServer');
    }

    public function view($id = null)
    {

        $this->ComptoirServer->get(COMPTOIR_SRV_API . "softwares/view/" . $id, 'software', 'software');
    }

    public function index($id = null)
    {
        $this->ComptoirServer->get(COMPTOIR_SRV_API . "softwares/" . $id, 'softwares', 'softwares');
    }

    public function servicesProviders($id = null)
    {
        $this->ComptoirServer->get(COMPTOIR_SRV_API . "softwares/servicesProviders/" . $id, 'software', 'software');
    }

    public function usersSoftware($id = null)
    {
        $this->ComptoirServer->get(COMPTOIR_SRV_API . "softwares/usersSoftware/" . $id, 'software', 'software');
    }

    public function alternativeTo($id = null)
    {
        $this->ComptoirServer->get(COMPTOIR_SRV_API . "softwares/alternativeTo/" . $id, 'software', 'software');
    }

    public function workswellSoftware($id = null)
    {

        $this->ComptoirServer->get(COMPTOIR_SRV_API . "softwares/workswellSoftwares/" . $id, 'software', 'software');
    }

    public function backersSoftware($id = null)
    {

        $this->ComptoirServer->get(COMPTOIR_SRV_API . "softwares/backersSoftware/" . $id, 'software', 'software');
    }

    public function screenshots($id = null)
    {

        $this->ComptoirServer->get(COMPTOIR_SRV_API . "softwares/screenshots/" . $id, 'software', 'software');

    }

    public function reviewsSoftware($id = null)
    {

        $this->ComptoirServer->get(COMPTOIR_SRV_API . "softwares/reviewsSoftware/" . $id, 'software', 'software');
    }
}
