<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
?>

<?php if (!empty( $contributorSoftwares ) ): ?>
<section>
    <div class="align">
        <h2>
        <?= __d("ElementEntity","Contributor for ")?>
        </h2>
        <span>
        <?php if ( sizeof( $contributorSoftwares ) > Cake\Core\Configure::read("MAX_DISPLAY") ) : ?>
            <?= $this->Html->link(  __d("ElementEntity","See all"),
                                ['controller' => 'Entity', 'action' => 'getRelationshipsSoftwares','?' => ['id' => $user->id,'filter' =>"ContributorTo" ]],
                                    ['title' =>  __d("ElementEntity","All projects contributed by {0}",$user->username)],
                                ['escape' => false] ) ?>
            <?php endif;?>
        </span>
    </div>
    <ul class=" list-unstyled ">
        <?php for ($nbContrib = 0; $nbContrib < Cake\Core\Configure::read("MAX_DISPLAY"); $nbContrib ++): ?>
            <?php if (isset($contributorSoftwares[$nbContrib] ) )  : ?>
        <li>
                    <?php echo $this->cell('SoftwareSummary',[$contributorSoftwares[$nbContrib]->software_id])->render('../../Element/ProjectPage/softwareSummary')?>
        </li>
            <?php endif; ?>
        <?php endfor; ?>
    </ul>
</section>
<?php endif; ?>

<?php if (empty( $contributorSoftwares ) ): ?>
<section>
    <h2>
        <?= __d("ElementEntity","Contributor for ")?>
    </h2>
    <p>
        <?php echo __d("ElementEntity","{0} do not contribute to any project, yet.",$user->username )?>
    </p>
</section>

<?php endif; ?>
