<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

?>

<?php if (!empty( $alternativeTo ) ): ?>
<section class="">
    <div class="align">
        <h2>
        <?= __d("ElementProject","Alternative to ")?> <?= __("{0}",$project->softwarename)?>
        </h2>
        <span>
            <?php if ( sizeof ($alternativeTo) > Cake\Core\Configure::read("MAX_DISPLAY") ) : ?>
                <?= $this->Html->link(  __d("Layout","See all"),
                                ['controller' => 'Project', 'action' => 'alternative','?' => ['id' => $project->id]],
                                ['title' =>  __d("Layout","All alternatives to {0}",$project->softwarename)],
                                ['escape' => false] ) ?>
            <?php endif; ?>
        </span>
    </div>
    <ul class=" list-unstyled">
    <?php for ($nbAlternativeTo = 0; $nbAlternativeTo < Cake\Core\Configure::read("MAX_DISPLAY"); $nbAlternativeTo ++): ?>
        <?php if (isset( $alternativeTo[$nbAlternativeTo] ) )  : ?>
        <li>
                    <?php echo $this->cell('SoftwareSummary',[$alternativeTo[$nbAlternativeTo]->recipient_id])->render('../../Element/ProjectPage/softwareSummary')?>
        </li>
        <?php endif ;?>
    <?php endfor; ?>
    </ul>
</section>
<?php endif; ?>

<?php if (isset ($project)  && empty( $alternativeTo)  ): ?>
<section class="">
    <h2>
        <?= __d("ElementProject","Alternative to ")?> <?= __d("ElementProject","{0}",$project->softwarename)?>
    </h2>
    <p>
        <?php echo __d("ElementProject","No alternative to {0}.",$project->softwarename);?>
    </p>
</section>
<?php endif; ?>

<?php if (isset ($projectSoftwareRelationship) && !empty( $projectSoftwareRelationship->relationshipsSoftwares ) ): ?>
<section class="">
    <h2>
        <?= __d("ElementProject","Alternative to ")?> <?php echo $this->cell('SoftwareSummary',[$projectSoftwareRelationship->relationshipsSoftwares[0]->software_id])->render('../../Element/ProjectPage/softwareName')?>
    </h2>
    <ul class=" list-unstyled ">
    <?php foreach ($projectSoftwareRelationship->relationshipsSoftwares as $relationshipsSoftware) : ?>

        <li>
            <?php echo $this->cell('SoftwareSummary',[$relationshipsSoftware->recipient_id])->render('../../Element/ProjectPage/softwareSummary')?>
        </li>

    <?php endforeach; ?>
    </ul>
</section>
<?php endif; ?>


<?php if (empty( $projectSoftwareRelationship->relationshipsSoftwares ) && !isset($project) ) : ?>
<section class="">
    <h2>
        <?= __d("ElementProject","Alternative to ")?> <?php echo $this->cell('SoftwareSummary',[$projectSoftwareRelationship->id])->render('../../Element/ProjectPage/softwareName')?>
    </h2>
    <p>
    <?php echo __d("ElementProject","There are no project for ") ?><?php echo $this->cell('SoftwareSummary',[$projectSoftwareRelationship->id])->render('../../Element/ProjectPage/softwareName')?>
    </p>
</section>
<?php endif; ?>