<?php

/**
 * Principal informations about an entity
 */
?>

<?php if (isset($project))  : ?>
<div class="overview-entity ">
    <div class=" col-xs-12 col-sm-4 col-md-4 col-lg-4  hidden-xs">
        <?php if ( empty ($project->logo_directory) || empty($project->photo)) : ?>
            <?= $this->Html->link( $this->Html->image( "logos/Softwarelogo_placeholder.jpg" ,
                                                ["alt"=>$project->softwarename,"class"=>"img-responsive size-logo-overview"]),
                            ['controller' => 'Project', 'action' => 'request' , '?' => ['id' => $project->id]],
                            ['escape' => false] ) ?>
        <?php else :?>
            <?= $this->Html->link($this->Html->image(COMPTOIR_SRV_URL.$project->logo_directory.DS.$project->photo,
                                ["alt"=>$project->softwarename,"class"=>"img-responsive size-logo-overview"]),
                                "#",// url of the entity web site.
                                ['escape' => false ] ) ?>
        <?php endif;?>
    </div>


    <div class="metric-score col-xs-12 col-sm-7 col-md-7 col-lg-7">
        <ul class="list-unstyled">
            <li>
                <div class="align">
                    <h1>
                        <?= $project->softwarename ?>
                    </h1>
                    <span title=" <?=  __d("Project","This score is the mark of the software") ?> ">
                        <?= $this->Score->note(isset($project->softwares_statistics[0]->score) ? $project->softwares_statistics[0]->score : null) ?>
                    </span>
                </div>
            </li>
            <li>
            <?= $this->Html->link( $project->url_repository,
                            $project->url_repository,
                            ['escape' => false] ) ?>
            </li>
            <li>
                <p class="text-overflow">
                <?= $project->description ?>
                </p>
            </li>
            <li>
                <p>
                    <?= $this->element("ProjectPage/createdBy")?>
                </p>
            </li>
        </ul>
    </div>

</div>
<?php endif; ?>
