<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

?>

<?php
//debug($project->screenshots);
/*
 * Affichage des screenshots de la page du projet (controller porject)
 */
?>
<?php if (!empty( $project->screenshots ) ) : ?>
<section class="">
    <div class="align">
        <h2>
        <?= __d("ElementProject","Screenshots of ")?> <?= __d("ElementProject {0}",$project->softwarename)?>
        </h2>
        <span>
                        <?php if ( sizeof( $project->screenshots ) > Cake\Core\Configure::read("MAX_DISPLAY") ) : ?>
                            <?= $this->Html->link(  __d("Layout","See all"),
                                    ['controller' => 'Project', 'action' => 'screenshots','?' => ['id' => $project->id] ],
                                    ['title' =>  __d("Layout","All screenshots of {0}",$project->softwarename)],
                                    ['escape' => false])  ?>
                        <?php endif; ?>
        </span>
    </div>

    <ul class=" list-unstyled ">
    <?php for ($nbscreen = 0; $nbscreen < Cake\Core\Configure::read("MAX_DISPLAY"); $nbscreen ++): ?>
        <?php if (isset($project->screenshots[$nbscreen] ) && $project->screenshots[$nbscreen]->url_directory != null )  : ?>
        <li>
            <div class="col-xs-12 col-sm-6 col-md-3 col-lg-3 screenShot">
                <?php if ( !empty ($project->screenshots[$nbscreen]->url_directory) || !empty($project->screenshots[$nbscreen]->photo)) : ?>
                <?php echo $this->Html->link( $this->Html->image( COMPTOIR_SRV_URL . $project->screenshots[$nbscreen]->url_directory . DS . $project->screenshots[$nbscreen]->photo,
                                                            ['alt' => __d("Screenshot of software {0}",$project->softwarename),'class' => 'img-responsive ']) ,
                                        COMPTOIR_SRV_URL . $project->screenshots[$nbscreen]->url_directory . DS . $project->screenshots[$nbscreen]->photo,
                                        ['escape' => false] ); ?>
                <?php endif; ?>
            </div>
        </li>
        <?php endif;?>
    <?php endfor; ?>
    </ul>
</section>
<?php endif; ?>

<?php
/*
 * Affichge d'un message lorsqu'il n'y a pas de screenshot (controller porject) dans la page du software
 */
?>
<?php if ( (empty( $project->screenshots ) && isset($project) ) || ( empty($project->screenshots) && !isset( $screenshotsSoftwares )) )  : ?>
<section class="">
    <h2>
        <?= __d("ElementProject","Screenshots of ")?> <?= __d("ElementProject","{0}",$project->softwarename)?>
    </h2>
    <p>
    <?php echo __d("ElementProject","No screenshot for {0}.",$project->softwarename);?>
    </p>
</section>
<?php endif; ?>

<?php
/*
 * Affichge d'un message lorsqu'il n'y a pas de screenshot (controller porject) dans la page all screenshots
 */
?>
<?php if (!isset( $project->screenshots ) && empty($screenshotsSoftwares->screenshotsSoftwares) )  : ?>
<section class="">
    <h2>
        <?= __d("ElementProject","Screenshots of ")?> <?php echo $this->cell('SoftwareSummary',[$screenshotsSoftwares->id])->render('../../Element/ProjectPage/softwareName')?>
    </h2>
    <p>
    <?= __d("ElementProject","No screenshot for ") ;?> <?php echo $this->cell('SoftwareSummary',[$screenshotsSoftwares->id])->render('../../Element/ProjectPage/softwareName')."."?>
    </p>
</section>
<?php endif; ?>

<?php
/*
 * Affichage la liste des scrennshots sur la page all screenshots
 */
?>
<?php if (isset ($screenshotsSoftwares) && !empty( $screenshotsSoftwares->screenshotsSoftwares ) ): ?>
<section class="">
    <h2>
        <?= __d("ElementProject","Screenshots for ")?> <?php echo $this->cell('SoftwareSummary',[$screenshotsSoftwares->id])->render('../../Element/ProjectPage/softwareName')?>
    </h2>
    <ul class=" list-unstyled ">

    <?php foreach ($screenshotsSoftwares->screenshotsSoftwares as $screenshot) : ?>
        <li>
            <div class="col-xs-12 col-sm-4 col-md-2 col-lg-2 screenShot">
                <?= $this->Html->link ( $this->Html->image(COMPTOIR_SRV_URL.$screenshot->url_directory.DS.$screenshot->photo,
                                                    ['alt' => __d("Screenshot of software {0}",
                                                        $this->cell('SoftwareSummary',[$screenshotsSoftwares->id])->render('../../Element/ProjectPage/softwareName'))
                                                    ,"class" => "img-responsive"]),
                                COMPTOIR_SRV_URL.$screenshot->url_directory.DS.$screenshot->photo,
                                ['escape' => false] ); ?>
            </div>
        </li>
    <?php endforeach; ?>
    </ul>
</section>
<?php endif; ?>