<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
?>
<?php if (!empty( $relationshipsServicePorviders ) ): ?>
<section class="">
    <div class="align">
        <h2>
        <?= __d("ElementProject","Service providers for {0}",$project->softwarename)?>
        </h2>
        <span>
            <?php if ( sizeof ($relationshipsServicePorviders) > Cake\Core\Configure::read("MAX_DISPLAY") ) : ?>
            <?= $this->Html->link(  __d("Layout","See all"),
                            ['controller' => 'Project', 'action' => 'providers','?' => ['id' => $project->id,'kind' => "servicesProvider"]],
                            ['title' =>  __d("Layout","All service providers of {0}",$project->softwarename)],
                            ['escape' => false] ) ?>
            <?php endif; ?>
        </span>
    </div>
    <ul class=" list-unstyled ">
    <?php for ($nbServProvider = 0; $nbServProvider < Cake\Core\Configure::read("MAX_DISPLAY"); $nbServProvider ++): ?>
        <?php if (isset( $relationshipsServicePorviders[$nbServProvider] ) )  : ?>
        <li>
                <?php echo $this->cell('UserSummary',[$relationshipsServicePorviders[$nbServProvider]->user_id])->render('../../Element/Entity/entitySummary')?>
        </li>
        <?php endif; ?>
    <?php endfor; ?>
    </ul>
</section>
<?php endif; ?>
<?php if (isset($project) && empty( $relationshipsServicePorviders ) && !isset($projectUsersrelationship) ): ?>
<section class="">
    <h2>
        <?= __d("ElementProject","Service providers for {0}",$project->softwarename)?>
    </h2>
    <p>
        <?php echo __d("ElementProject","No service provider for {0}.",$project->softwarename);?>
    </p>
</section>
<?php endif; ?>


<?php if (!isset( $relationshipsServicePorviders ) && isset($projectUsersrelationship) && empty($projectUsersrelationship->relationshipsSoftwaresUser)): ?>
<section class="">
    <h2>
        <?= __d("ElementProject","Service providers for ")?> <?php echo $this->cell('SoftwareSummary',[$projectUsersrelationship->id])->render('../../Element/ProjectPage/softwareName')?>
    </h2>
    <p>
        <?php echo __d("ElementProject","No service provider for ");?> <?php echo $this->cell('SoftwareSummary',[$projectUsersrelationship->id])->render('../../Element/ProjectPage/softwareName')?>
    </p>
</section>
<?php endif; ?>

<?php
/**
 * display all users of the current software.
 */
?>
<?php if (isset ($projectUsersrelationship) && !empty( $projectUsersrelationship->relationshipsSoftwaresUser ) ): ?>
<section class="">
    <h2>
        <?= __d("ElementProject","Service providers for ")?> <?php echo $this->cell('SoftwareSummary',[$projectUsersrelationship->relationshipsSoftwaresUser[0]->software_id])->render('../../Element/ProjectPage/softwareName')?>
    </h2>
    <ul class=" list-unstyled ">
    <?php foreach ($projectUsersrelationship->relationshipsSoftwaresUser as $relationshipsSoftwaresUser) : ?>

        <li>
            <?php echo $this->cell('UserSummary',[$relationshipsSoftwaresUser->user_id])->render('../../Element/Entity/entitySummary')?>
        </li>

    <?php endforeach; ?>
    </ul>
</section>
<?php endif; ?>