<?php

/**
 * Template for the block Also use By
 * List some entities using the software
 */
?>


<?php if (!empty( $usersOf ) && !isset($projectUsersrelationship)): ?>
<section class="">
    <div class="align">
        <h2>
        <?= __d("ElementProject","Users of {0}",$project->softwarename)?>
        </h2>
        <span>
        <?php if ( sizeof ($usersOf) > Cake\Core\Configure::read("MAX_DISPLAY") ) : ?>
            <?= $this->Html->link(  __d("Layout","See all"),
                            ['controller' => 'Project', 'action' => 'users','?' => ['id' => $project->id,'kind' => "UserOf"]],
                            ['title' =>  __d("Layout","All users of {0}",$project->softwarename)],
                            ['escape' => false] ) ?>
                        <?php endif; ?>
        </span>
    </div>
    <ul class=" list-unstyled">
        <?php for ($nbuser = 0; $nbuser < Cake\Core\Configure::read("MAX_DISPLAY"); $nbuser ++): ?>
            <?php if (isset( $usersOf[$nbuser] ) )  : ?>
        <li>
            <?php echo $this->cell('UserSummary',[$usersOf[$nbuser]->user_id])->render('../../Element/Entity/entitySummary')?>
        </li>
        <?php endif; ?>
    <?php endfor; ?>
    </ul>
</section>
<?php endif; ?>


<?php if ((!isset( $usersOf ) || empty($usersOf)) && !isset($projectUsersrelationship)): ?>
<section class="">
    <h2>
        <?= __d("ElementProject","Users of {0}",$project->softwarename)?>
    </h2>
    <p>
        <?php echo __d("ElementProject","No user for {0}",$project->softwarename);?>
    </p>
</section>
<?php endif; ?>


<?php if (!isset( $usersOf ) && isset($projectUsersrelationship) && empty($projectUsersrelationship->relationshipsSoftwaresUser)): ?>
<section class="">
    <h2>
        <?= __d("ElementProject","Users of ")?> <?php echo $this->cell('SoftwareSummary',[$projectUsersrelationship->id])->render('../../Element/ProjectPage/softwareName')?>
    </h2>
    <p>
        <?php echo __d("ElementProject","No user for ");?> <?php echo $this->cell('SoftwareSummary',[$projectUsersrelationship->id])->render('../../Element/ProjectPage/softwareName')?>
    </p>
</section>
<?php endif; ?>


<?php
/**
 * display all users of the current software.
 */
?>
<?php if (isset ($projectUsersrelationship) && !empty( $projectUsersrelationship->relationshipsSoftwaresUser ) ): ?>
<section class="">
    <h2>
        <?= __d("ElementProject","Users of ")?> <?php echo $this->cell('SoftwareSummary',[$projectUsersrelationship->relationshipsSoftwaresUser[0]->software_id])->render('../../Element/ProjectPage/softwareName')?>
    </h2>
    <ul class=" list-unstyled ">
    <?php foreach ($projectUsersrelationship->relationshipsSoftwaresUser as $relationshipsSoftwaresUser) : ?>

        <li>
            <?php echo $this->cell('UserSummary',[$relationshipsSoftwaresUser->user_id])->render('../../Element/Entity/entitySummary')?>
        </li>

    <?php endforeach; ?>
    </ul>
</section>
<?php endif; ?>
