<?php
namespace App\View\Cell;
use Cake\Network\Http\Client;

use Cake\View\Cell;

/**
 * SoftwareSummary cell
 */
class SoftwareSummaryCell extends Cell
{

    /**
     * List of valid options that can be passed into this
     * cell's constructor.
     *
     * @var array
     */
    protected $_validCellOptions = [];
    
    /**
     * Default display method.
     *
     * @return void
     */
    public function display($id=null)
    {
        try {
            $http = new Client();
            $response = $http->get(COMPTOIR_SRV_API."request/".$id,[],['type'=>'json']);
            $softwareAndRelationships = $response->body('json_decode');
            $RelationshipsUsersOf = $softwareAndRelationships->RelationshipsUsersOf;
            $software = $softwareAndRelationships->software;
            //$softwareStatisitics = $softwareAndRelationships->softwares_statistics;
        }catch (Exception $exception){
            $this->log(var_export($exception,true),"debug");
        }  
       $this->set('project',$software);
       $this->set('usersOf', $RelationshipsUsersOf);
       //$this->set('statistics',$softwareStatisitics);
    }
}
